Bug 706421 - Review Request: wmname - Prints/sets the EWMH WM name property
Summary: Review Request: wmname - Prints/sets the EWMH WM name property
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-20 14:17 UTC by Petr Šabata
Modified: 2011-06-02 19:11 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-05-30 22:29:03 UTC
sochotni: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Petr Šabata 2011-05-20 14:17:55 UTC
Spec URL: http://psabata.fedorapeople.org/pkgs/wmname/wmname.spec
SRPM URL: http://psabata.fedorapeople.org/pkgs/wmname/wmname-0.1-1.fc14.src.rpm
Description:
wmname prints/sets the window manager name property of the root window similar
to how hostname(1) behaves. wmname is a nice utility to fix problems with
JDK versions and other broken programs assuming a reparenting window manager
for instance.

Comment 1 Stanislav Ochotnicky 2011-05-20 14:43:06 UTC
I'll review this

Comment 2 Stanislav Ochotnicky 2011-05-20 14:56:06 UTC
OK: rpmlint must be run on every package. The output should be posted in
the review.

wmname.src: W: spelling-error %description -l en_US hostname -> host name, host-name, hostage
wmname.src: W: spelling-error %description -l en_US reparenting -> re parenting, re-parenting, parenting
wmname.x86_64: W: spelling-error %description -l en_US hostname -> host name, host-name, hostage
wmname.x86_64: W: spelling-error %description -l en_US reparenting -> re parenting, re-parenting, parenting
wmname.x86_64: W: no-manual-page-for-binary wmname
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

Would be nice to have a man page I guess. Not a requirement though.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
-: All independent sub-packages have License of their own (if it exists)
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
-: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
-: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK: Packages must NOT bundle copies of system libraries.
-: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK: A Fedora package must not list a file more than once in the spec file's %files listings.
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content.
-: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
-: Header files must be in a -devel package.
-: Static libraries must be in a -static package.
-: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
-: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
-: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
OK: All filenames in rpm packages must be valid UTF-8.

Package is simple and good. It would be nice to have manual for the binary and comments on the patch though. It might be easier for beginning packager to understand and whatnot (also state reason why this won't be upstreamed - as I am sure it won't).

Comment on that patch is not blocking this review though: APPROVED.

Comment 3 Petr Šabata 2011-05-20 15:01:47 UTC
(In reply to comment #2)
> OK: rpmlint must be run on every package. The output should be posted in
> the review.
> 
> wmname.src: W: spelling-error %description -l en_US hostname -> host name,
> host-name, hostage
> wmname.src: W: spelling-error %description -l en_US reparenting -> re
> parenting, re-parenting, parenting
> wmname.x86_64: W: spelling-error %description -l en_US hostname -> host name,
> host-name, hostage
> wmname.x86_64: W: spelling-error %description -l en_US reparenting -> re
> parenting, re-parenting, parenting
> wmname.x86_64: W: no-manual-page-for-binary wmname
> 3 packages and 0 specfiles checked; 0 errors, 5 warnings.
> 
> Would be nice to have a man page I guess. Not a requirement though.

I might write one in the future. The tools is fairly easy to use even without it, though.

> 
> OK: The package must be named according to the Package Naming Guidelines .
> OK: The spec file name must match the base package %{name}, in the format
> %{name}.spec unless your package has an exemption.  .
> OK: The package must meet the Packaging Guidelines .
> OK: The package must be licensed with a Fedora approved license and meet the
> Licensing Guidelines .
> OK: The License field in the package spec file must match the actual license.
> OK: If (and only if) the source package includes the text of the license(s) in
> its own file, then that file, containing the text of the license(s) for the
> package must be included in %doc.
> -: All independent sub-packages have License of their own (if it exists)
> OK: The spec file must be written in American English.
> OK: The spec file for the package MUST be legible.
> OK: The sources used to build the package must match the upstream source, as
> provided in the spec URL. Reviewers should use md5sum for this task. If no
> upstream URL can be specified for this package, please see the Source URL
> Guidelines for how to deal with this.
> OK: The package MUST successfully compile and build into binary rpms on at
> least one primary architecture.
> OK: All build dependencies must be listed in BuildRequires, except for any that
> are listed in the exceptions section of the Packaging Guidelines ; inclusion of
> those as BuildRequires is optional. Apply common sense.
> -: The spec file MUST handle locales properly. This is done by using the
> %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
> -: Every binary RPM package (or subpackage) which stores shared library files
> (not just symlinks) in any of the dynamic linker's default paths, must call
> ldconfig in %post and %postun.
> OK: Packages must NOT bundle copies of system libraries.
> -: If the package is designed to be relocatable, the packager must state this
> fact in the request for review, along with the rationalization for relocation
> of that specific package. Without this, use of Prefix: /usr is considered a
> blocker.
> OK: A package must own all directories that it creates. If it does not create a
> directory that it uses, then it should require a package which does create that
> directory.
> OK: A Fedora package must not list a file more than once in the spec file's
> %files listings.
> OK: Permissions on files must be set properly. Executables should be set with
> executable permissions, for example. Every %files section must include a
> %defattr(...) line.
> OK: Each package must consistently use macros.
> OK: The package must contain code, or permissable content.
> -: Large documentation files must go in a -doc subpackage. (The definition of
> large is left up to the packager's best judgement, but is not restricted to
> size. Large can refer to either size or quantity).
> OK: If a package includes something as %doc, it must not affect the runtime of
> the application. To summarize: If it is in %doc, the program must run properly
> if it is not present.
> -: Header files must be in a -devel package.
> -: Static libraries must be in a -static package.
> -: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then
> library files that end in .so (without suffix) must go in a -devel package.
> -: In the vast majority of cases, devel packages must require the base package
> using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
> OK: Packages must NOT contain any .la libtool archives, these must be removed
> in the spec if they are built.
> -: Packages containing GUI applications must include a %{name}.desktop file,
> and that file must be properly installed with desktop-file-install in the
> %install section. If you feel that your packaged GUI application does not need
> a .desktop file, you must put a comment in the spec file with your explanation.
> OK: Packages must not own files or directories already owned by other packages.
> The rule of thumb here is that the first package to be installed should own the
> files or directories that other packages may rely upon. This means, for
> example, that no package in Fedora should ever share ownership with any of the
> files or directories owned by the filesystem or man package. If you feel that
> you have a good reason to own a file or directory that another package owns,
> then please present that at package review time.
> OK: All filenames in rpm packages must be valid UTF-8.
> 
> Package is simple and good. It would be nice to have manual for the binary and
> comments on the patch though. It might be easier for beginning packager to
> understand and whatnot (also state reason why this won't be upstreamed - as I
> am sure it won't).
> 

I believe the patch is quite straightforward, not more difficult than install sections in some other packages.

Indeed, this won't go upstream, ever -- it's a Fedora specific tweak.

> Comment on that patch is not blocking this review though: APPROVED.

Thank you.

Comment 4 Petr Šabata 2011-05-20 15:03:00 UTC
New Package SCM Request
=======================
Package Name: wmname
Short Description: Prints/sets the EWMH WM name property
Owners: psabata
Branches: f14 f15
InitialCC:

Comment 5 Kevin Fenzi 2011-05-20 22:35:37 UTC
Git done (by process-git-requests).

Comment 6 Petr Šabata 2011-05-23 06:45:31 UTC
Thank you for the repo, Kevin!

Comment 7 Fedora Update System 2011-05-23 06:46:59 UTC
wmname-0.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wmname-0.1-1.fc14

Comment 8 Fedora Update System 2011-05-23 06:47:51 UTC
wmname-0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wmname-0.1-1.fc15

Comment 9 Fedora Update System 2011-05-25 02:51:28 UTC
wmname-0.1-1.fc14 has been pushed to the Fedora 14 testing repository.

Comment 10 Fedora Update System 2011-05-30 22:28:57 UTC
wmname-0.1-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-06-02 10:59:30 UTC
wmname-0.1-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 12 Fedora Update System 2011-06-02 19:11:04 UTC
wmname-0.1-1.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.